Download

Falha ao abrir o arquivo do mapa. Normalmente isso acontece porque o mapa foi salvo em uma versão mais nova do mecanismo.

Olá, pessoal. Não sei se estou postando no lugar correto porém estou precisando de ajuda com a atualização do meu projeto. Recentemente baixei a UE 5.0.0 Early Access 2 para realizar alguns ■■■■■■ no meu projeto e tentei atualizar uma cópia do meu projeto da versão UE 4.27 (na qual funciona perfeitamente) para a UE 5.0.0 Early Access 2 porém estou recebendo o seguinte erro ao tentar realizar essa migração de versão.

Versões da UE que estou utilizando:
Versions

Mensagem de erro: Falha ao abrir o arquivo do mapa. Normalmente isso acontece porque o mapa foi salvo em uma versão mais nova do mecanismo.

Um parte da mensagem de erro diz: mensagem diz: “Normalmente isso acontece porque o mapa foi salvo em uma versão mais nova do mecanismo”. Porém o projeto original está na versão UE 4.27 e estou tentando abrir na UE 5.0.0 Early Access.

Estou utilizando em meu projeto como base o ThirdPersonExample.umap. Como meu projeto já possuí algumas alterações não quero recomeçar do zero. E ao verificar na mensagem de erro é exatamente quando chega aos 91% da conversão do projeto que recebo esse erro.
OBS: Ao criar um novo projeto ThirdPersonExample diretamente na UE 5.0.0 funciona normalmente.

Quando aperto na mensagem de erro para continuar a engine abre e meu projeto não aparece os mapas criados. Já procurei nas pastas através da UE mas não os encontro. Porém quando verifico através do Explorador de Arquivos do Windows os maps estão nas pastas corretamente. Já tentei excluir e colocar uma cópia, arrastar uma cópia para dentro da pasta através da UE mas não funciona e recebo um erro:
Import

Obrigado a todos pela atenção!

Isso pode acontecer porque o UE 4.27 não é compatível com UE 5 Early Access. Não lembro onde mostrava isso mas achei uma resposta que explica:

UE26 → UE5EA → UE5
UE26 → UE27 → UE5

https://forums.unrealengine.com/t/ue5-final-version-will-be-released-until-2022/242349/14
https://docs.unrealengine.com/5.0/en-US/Welcome/#compatibility

2 Likes

Muito obrigado pela informação. :blush:

1 Like